#!/bin/bash

# ============LICENSE_START=======================================================
#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o errexit
set -o nounset

echo "Info: Cloning infra/engine repository"
cd $HOME && /bin/rm -rf $WORKSPACE
git clone -q $ENGINE_REPO_URL $WORKSPACE

echo "Info: Generating temporary SDF"
cat << EOF > $WORKSPACE/sdf.yml
scenario:
  $DEPLOY_SCENARIO:
    scm: git
    src: $PROJECT_GIT_URL
    version: $GERRIT_PATCHSET_REVISION
    refspec: $GERRIT_REFSPEC
    installers:
      $INSTALLER_TYPE:
        role: scenarios/$DEPLOY_SCENARIO/$INSTALLER_TYPE/role/$DEPLOY_SCENARIO
        distros:
          - ubuntu
EOF
echo "Info: Temporary SDF content"
echo "-------------------------------------------------------------------------"
cat $WORKSPACE/sdf.yml
echo "-------------------------------------------------------------------------"

# vim: set ts=2 sw=2 expandtab:
